(US) 90 dollar Wyse 5070 Thin client/mini-server?

lopgok

Active Member
Aug 14, 2017
128
82
28
There are 5 security vulnerabilities for the dell/wyse 5070 if your bios is less than 1.9.0



Using the dell site, the latest bios listed was 1.9.0
It is really easy to update the bios, at least if you are running windows 10.
 
Last edited: